VMware Remote Console | 2018 年 8 月 2 日 | 内部版本 9300449

请查看本发行说明以了解新增内容及更新。

发行说明内容

本发行说明包含以下主题:

新增功能

此版本的 VMware Remote Console 包含以下更改。

  • 支持 SUSE Linux Enterprise Server (SLES) 15 SP0
  • 第三方软件库更新
  • 已解决的问题中所述的其他修复。

兼容性和安装

您可以在以下主机操作系统上安装此版本。

64 位和 32 位 Windows

  • Windows Server 2016
  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2008 R2 SP1
  • Windows Server 2008 R2
  • Windows 10
  • Windows 8.1
  • Windows 8
  • Windows 7

Mac

  • macOS 10.13
  • macOS 10.12
  • Apple OS X 10.11

Linux

  • VMware Remote Console 通常在大致与发布的各个 VMware Workstation 版本同一时期的 Linux 产品上运行。

    有关详细信息,请参阅《VMware 兼容性指南》

文档

请参阅以下指南,了解有关安装和使用 VMware Remote Console 的信息。

已解决的问题

已解决的问题分为以下几类。

一般问题

本版本解决了以下一般问题。

  • 网卡已从 vSphere Distributed Switch (vDS) 端口组断开连接。

  • 移除数据存储并重新扫描存储后,VMware Remote Console 停止工作并发布以下错误。
    发生异常 0xc00000005 (访问冲突) (Exception 0xc00000005 (access violation) has occurred)。

  • 在某些情况下,VMware Remote Console 通过 vCenter 连接后会停止工作,并且会通过 vCenter 执行某些管理操作,例如更改 DRS 设置。

Windows

本版本修复了以下 Windows 问题。

  • 打开通过 vMotion 迁移的虚拟机的电源时,适用于 Windows 的 VMware Remote Console 会停止工作。

Linux

本版本修复了以下 Linux 问题。

  • Debian 8.7.1 上的 VMware Remote Console 无法打开远程虚拟机。

  • 单击 vmrc:// 链接以从浏览器启动 VMware Remote Console 时,不会下载或安装更新。

  • Ubuntu 17.04 上的 VMware Remote Console 不显示供查看的证书。

已知问题

已知问题分为以下几类。

一般问题

下列一般问题已知会影响此版本。

  • 无法连接到 ESXi 5.1 上托管的虚拟机

    ESXi 5.1 不支持高于 1.0 的 TLS 版本。将出现以下错误。
       无法连接 MKS: 无法在重试期限内连接到管道 \\.\pipe\vmware-authdpipe (The following error occurs. Could not connect to pipe \\.\pipe\vmware-authdpipe within retry period.)。

    解决办法:将 VMware Remote Console 配置为使用 TLS 1.0。

    1. 在文本编辑器中打开 VMware Remote Console 配置文件。
       Windows
         C:\ProgramData\VMware\VMware Remote Console\config.ini
       Linux
         /etc/vmware/config
       Mac
         /Library/Preferences/VMware Remote Console/config
    2. 添加或编辑 TLS 协议条目。请包括 TLS 1.0。
      tls.protocols=tls1.0,tls1.1,tls1.2
    3. 保存并关闭该配置文件。
  • VMware Remote Console URL 消息

    从 Windows 或 Linux 终端会话启动 VMware Remote Console 会导致显示以下消息:
      必须从 vmrc URL 启动该应用程序 (This application must be launched from a vmrc URL)
    当您省略命令中的 URL 时,会显示此消息。按照设计,您应从客户端(例如,vSphere 或 vRealize Automation)或使用 vmrc:// URL 启动 VMware Remote Console。
    要获取 VMware Remote Console 命令行的帮助,请输入:
      Windows
        vmrc.exe -?
      Linux
        vmrc --help
      Mac
        不可用

Windows

下列 Windows 问题已知会影响此版本。

  • 键盘挂钩超时消息

    连接到虚拟机时,VMware Remote Console 可能会显示以下消息:
      键盘挂钩超时值未设置为 VMware Remote Console 建议的值 (The keyboard hook timeout value is not set to the value recommended by VMware Remote Console)
    按照设计,您可以通过单击确定来更新此超时值,然后注销 Windows 以确保更新生效。

  • HCmon 驱动程序错误

    在已经安装了其他 VMware 应用程序的系统上安装 VMware Remote Console 可能会导致以下错误:
      未能安装 HCmon 驱动程序 (Failed to install the HCmon driver)

    解决办法:转到“任务管理器”的“服务”选项卡,停止 VMUSBArbService。然后继续安装。
    或者,从您用管理员权限打开的命令提示符窗口启动 .exe 安装程序。

Mac

下列 Mac 问题已知会影响此版本。

  • VMware Remote Console 无法在 macOS 10.13 上启动

    在 macOS 10.13 上尝试启动 VMware Remote Console 时,Mac 显示系统扩展已被阻止 (System Extension Blocked) 消息。
    解决办法:以拥有管理员权限的用户身份,转到系统偏好设置 > 安全性与隐私。在“常规”选项卡下,您会在底部附近看到有关 VMware 软件已被阻止的消息。单击允许。有关详细信息,请参阅知识库文章 2151770

  • 设备选项

    在 Mac 上运行 VMware Remote Console 时,有一些与设备相关的选项不可用。例如,无法添加新设备,或无法显示声卡设置。本文档在适当的位置注明了不可用的 Mac 选项。

Linux

下列 Linux 问题已知会影响此版本。

  • 不支持 Wayland 协议

    VMware Remote Console 需要运行 Xorg,不能在 Wayland 会话中安装或运行。在使用 Wayland 的较新操作系统(如 Fedora 25)上会发生安装错误。

    解决办法:无

  • 无法解析帮助链接

    您从 VMware Remote Console 中单击“帮助”选项时,收到指示文件未找到的错误。

    解决办法:直接打开浏览器访问 https://docs.vmware.com/cn/VMware-Remote-Console/index.html

  • 虚拟机自动打开电源

    VMware Remote Console 在连接到关闭了电源的虚拟机时,会自动打开虚拟机的电源。

    解决办法:无

  • VMware Remote Console 自动关闭

    在远程虚拟机关机后,VMware Remote Console 会自动关闭。

    解决办法:无

  • VMware Workstation 或 VMware Workstation Player

    无法在安装 VMware Workstation 或 VMware Workstation Player 的同一计算机上同时安装 VMware Remote Console。

    解决办法:无

check-circle-line exclamation-circle-line close-line
Scroll to top icon